when:
  - event: push
    branch:
      exclude:
        - fast
        - slow

skip_clone: true

steps:
  - name: check
    image: git.zhaozuohong.vip/mower-ng/ci
    environment:
      GIT_LFS_SKIP_SMUDGE: "1"
    commands:
      - git clone ${CI_REPO_CLONE_URL} --branch ${CI_COMMIT_BRANCH} --depth 1 .
      - ruff check
      - ruff format --check
      - prettier --check ui/**/*.js ui/**/*.vue
